summaryrefslogtreecommitdiffstats
path: root/tests/test-baremetal.sh
diff options
context:
space:
mode:
authorRichard W.M. Jones <rjones@redhat.com>2011-01-18 17:03:36 +0000
committerRichard W.M. Jones <rjones@redhat.com>2011-01-18 17:03:36 +0000
commitf74a5f24635f8dbb202ad1c7ea141606ca864f1f (patch)
tree3e8b7addea9adbacc898c97cdbcb5769ad6bae54 /tests/test-baremetal.sh
parent60d20f2a64ee71601acc21927c520654cc083644 (diff)
downloadvirt-what-f74a5f24635f8dbb202ad1c7ea141606ca864f1f.tar.gz
virt-what-f74a5f24635f8dbb202ad1c7ea141606ca864f1f.tar.xz
virt-what-f74a5f24635f8dbb202ad1c7ea141606ca864f1f.zip
Add a test for baremetal.
This modifies the virt-what script slightly so that a test root can be passed, which causes all tests to be run relative to that root directory (similar to a chroot). We then provide a root directory with just enough files in it to convince virt-what that it is a baremetal machine. Note that the data in the files is completely real. We do not intend to add a test unless we can get data from the real system.
Diffstat (limited to 'tests/test-baremetal.sh')
-rwxr-xr-xtests/test-baremetal.sh34
1 files changed, 34 insertions, 0 deletions
diff --git a/tests/test-baremetal.sh b/tests/test-baremetal.sh
new file mode 100755
index 0000000..1ca4bcf
--- /dev/null
+++ b/tests/test-baremetal.sh
@@ -0,0 +1,34 @@
+# Test for baremetal
+# Copyright (C) 2008-2011 Red Hat Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+
+root=tests/baremetal
+
+output="$(./virt-what --test-root=$root 2>&1)"
+expected=""
+
+if [ "$output" != "$expected" ]; then
+ echo "$0: test failed because output did not match expected"
+ echo "Expected output was:"
+ echo "----------------------------------------"
+ echo "$expected"
+ echo "----------------------------------------"
+ echo "But the actual output of the program was:"
+ echo "----------------------------------------"
+ echo "$output"
+ echo "----------------------------------------"
+ exit 1
+fi